import 'package:mui/mui.dart';
import 'package:flutter/material.dart';

class InputPage extends StatefulWidget {
  static const String routeName = '/inputs';
  @override
  State<StatefulWidget> createState() => _InputPageState();
}

const acData = [
  'Asenal',
  'Chelsea',
  'ManCity',
  'ManUnited',
];

class _InputPageState extends State<InputPage> {

  final GlobalKey<MAutoCompleteState> _key = GlobalKey<MAutoCompleteState>();
  final FocusNode _focusNode = FocusNode();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: Text('Input'),
        ),
        body: Container(
            child: ListView(
          children: <Widget>[
            Container(
              color: Color(0xFF29b1b1),
              padding: EdgeInsets.symmetric(horizontal: 20),
              height: 56,
              child: Row(
                children: <Widget>[
                  Text('autoComplete', style: TextStyle(color: Colors.white, fontSize: 17)),
                ],
              ),
            ),
            SizedBox(height: 30),
            MAutoComplete(
              key: _key,
              focusNode: _focusNode,
              itemBuilder: (context, suggestion) => Padding(
                padding: EdgeInsets.all(8.0),
                child: ListTile(
                  title: Text(suggestion),
                ),
              ),
              onSelectedSuggestion: (suggestion) {
                print('suggestion -- $suggestion');
              },
              child: TextField(
                focusNode: _focusNode,
                onChanged: (text) {
                  List<String> sugList = [];
                  if (text != null && text.isNotEmpty) {
                    sugList = acData
                        .where((option) =>
                            option.toLowerCase().contains(text.toLowerCase()))
                        .toList();
                  }
                  _key.currentState.updateSuggestionList(sugList);
                },
              ),
            ),
            SizedBox(height: 30),
            Container(
              color: Color(0xFF29b1b1),
              padding: EdgeInsets.symmetric(horizontal: 20),
              height: 56,
              child: Row(
                children: <Widget>[
                  Text('pinInput', style: TextStyle(color: Colors.white, fontSize: 17)),
                ],
              ),
            ),
            SizedBox(height: 30),
            MPinCodeTextField(
              textStyle: TextStyle(fontSize: 22,color: Colors.black),
              decoration: InputDecoration(
                border: OutlineInputBorder(borderSide: BorderSide(color: Colors.black54)),
                focusedBorder: OutlineInputBorder(borderSide: BorderSide(color: Colors.black)),
              ),
              onChanged: (text) {
                print('change -- $text');
              },
              onSubmitted: (text) {
                print('submit -- $text');
              },
              onEditingComplete: () {
                print('editing complete');
              },
            ),
            SizedBox(height: 30),
            MPinCodeTextField(
              textStyle: TextStyle(fontSize: 22,color: Colors.black),
              decoration: InputDecoration(
                border: UnderlineInputBorder(),
                focusedBorder: UnderlineInputBorder(borderSide: BorderSide(color: Colors.black)),
              ),
              onChanged: (text) {
                print('change -- $text');
              },
              onSubmitted: (text) {
                print('submit -- $text');
              },
              onEditingComplete: () {
                print('editing complete');
              },
            )
          ],
        )));
  }
}